IF_NAMETOINDEX(3P)

PROLOG
This manual page is part of the POSIX Programmer's Manual. The Linux implementation of this interface may differ (consult the corresponding Linux manual page for details of Linux behavior), or the interface may not be implemented on Linux.

NAME
if_nametoindex — map a network interface name to its corresponding index

SYNOPSIS

#include <net/if.h>

unsigned if_nametoindex(const char *ifname);

DESCRIPTION
The if_nametoindex() function shall return the interface index corresponding to name ifname.

RETURN VALUE
The corresponding index if ifname is the name of an interface; otherwise, zero.

ERRORS
No errors are defined.

The following sections are informative.

EXAMPLES
None.

APPLICATION USAGE
None.

RATIONALE
None.

FUTURE DIRECTIONS
None.

SEE ALSO
getsockopt(), if_freenameindex(), if_indextoname(), if_nameindex(), setsockopt()

The Base Definitions volume of POSIX.1-2017, <net_if.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1-2017, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 7, 2018 Edition, Copyright (C) 2018 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .

Any typographical or formatting errors that appear in this page are most likely to have been introduced during the conversion of the source files to man page format. To report such errors, see https://www.kernel.org/doc/man-pages/reporting_bugs.html .